package benten.cat.glossary.ui.editor;

import junit.framework.TestCase;

public class GlossaryAssistProcessorTest extends TestCase {

	private final GlossaryAssistProcessor target = new GlossaryAssistProcessor();

	public void testGetTargetString() {
		assertEquals("", "use", target.getTargetString(" use", 4));
		assertEquals("", "use", target.getTargetString("use", 3));
		assertEquals("", "use", target.getTargetString("aaa use", 7));
		assertEquals("", "u-e", target.getTargetString("u-e", 3));
		assertEquals("", "u.e", target.getTargetString("u.e", 3));
		assertEquals("", "use", target.getTargetString("use text document", 3));
		assertEquals("", "use ", target.getTargetString("use text document", 4));
		assertEquals("", "t", target.getTargetString("use text document", 5));
		assertEquals("", "text", target.getTargetString("use text document", 8));
		assertEquals("", "document", target.getTargetString("use text document", 17));
		assertEquals("", "use", target.getTargetString("abc プロ・use", 10));
		assertEquals("", "use", target.getTargetString("abc プロロuse", 10));
	}
}
